## smb4k 0.10.2

=== CMakeLists.txt ===
project( smb4k )

set( VERSION 0.10.2 )
set( VERSION_MAJOR 0 )
set( VERSION_MINOR 10 )
set( VERSION_PATCH 2 )

cmake_minimum_required( VERSION 2.6 )

find_package(KDE4 REQUIRED)

include(KDE4Defaults)
include(MacroLibrary)
include(FindGettext)
include(ConvenienceLibs.cmake)
include(ConfigureChecks.cmake)

# Disallow in-source builds
# macro_ensure_out_of_source_build( "Smb4K requires an out of source build. Please create a separate build directory and
# run 'cmake [options] <path_to_source_directory>' there." )

add_definitions( ${QT_DEFINITIONS} ${KDE4_DEFINITIONS})

include_directories( ${KDE4_INCLUDES}
                     ${KDE4_INCLUDE_DIR}
                     ${QT_INCLUDES}
                     ${CMAKE_CURRENT_SOURCE_DIR}
                     ${CMAKE_CURRENT_BINARY_DIR} )

configure_file( ${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake
                ${CMAKE_CURRENT_BINARY_DIR}/config.h )

add_subdirectory( core )
add_subdirectory( smb4k )
add_subdirectory( utilities )
add_subdirectory( po )
add_subdirectory( doc )
add_subdirectory( data )

########### Konqueror plugin ############

# The decision what to do with the Konqueror plugin has been
# postponed. It has not been ported to KDE 4 yet, so it is
# disabled here.

# option( COMPILE_KONQPLUGIN "Compile Smb4K with Konqueror plugin" OFF )
#
# if( COMPILE_KONQPLUGIN )
#   message( STATUS "Building Konqueror plugin (-DCOMPILE_KONQPLUGIN=false to disable)" )
#   add_subdirectory( plugin )
# elseif( NOT COMPILE_KONQPLUGIN )
#   message( STATUS "Building without Konqueror plugin (-DCOMPILE_KONQPLUGIN=true to enable)" )
# endif( COMPILE_KONQPLUGIN )

########### install files ###############



########### CPack part ##################

set( CPACK_PACKAGE_VERSION_MAJOR ${VERSION_MAJOR} )
set( CPACK_PACKAGE_VERSION_MINOR ${VERSION_MINOR} )
set( CPACK_PACKAGE_VERSION_PATCH ${VERSION_PATCH} )

set( CPACK_SOURCE_PACKAGE_FILE_NAME smb4k-${VERSION}
     CACHE INTERNAL "source package base name" )
set( CPACK_SOURCE_GENERATOR TBZ2 )
set( CPACK_SOURCE_IGNORE_FILES
     "~$"
     "^${PROJECT_SOURCE_DIR}.*/CVS/"
     "^${PROJECT_SOURCE_DIR}/Messages.sh"
     "^${PROJECT_SOURCE_DIR}/po/scripts/"
     "^${PROJECT_SOURCE_DIR}.*kdevelop*" )

include( CPack )

=== core/CMakeLists.txt ===

include_directories( ${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES}  )


########### next target ###############

set( smb4kcore_LIB_SRCS
  smb4kauthinfo.cpp
  smb4kbookmark.cpp
  smb4kbookmarkhandler.cpp
  smb4kcore.cpp
  smb4kcoremessage.cpp
  smb4kglobal.cpp
  smb4kglobal_p.cpp
  smb4khomesshareshandler.cpp
  smb4khost.cpp
  smb4kipaddressscanner.cpp
  smb4kmounter.cpp
  smb4kmounter_p.cpp
  smb4kpreviewer.cpp
  smb4kpreviewitem.cpp
  smb4kprint.cpp
  smb4kprintinfo.cpp
  smb4ksambaoptionshandler.cpp
  smb4ksambaoptionsinfo.cpp
  smb4kscanner.cpp
  smb4kscanner_p.cpp
  smb4ksearch.cpp
  smb4kshare.cpp
  smb4ksudowriterinterface.cpp
  smb4ksynchronizationinfo.cpp
  smb4ksynchronizer.cpp
  smb4kwalletmanager.cpp
  smb4kworkgroup.cpp )

kde4_add_kcfg_files(smb4kcore_LIB_SRCS smb4ksettings.kcfgc )

kde4_add_library(smb4kcore SHARED ${smb4kcore_LIB_SRCS})

target_link_libraries( smb4kcore
   ${QT_QTCORE_LIBRARY}
   ${QT_QTGUI_LIBRARY}
   ${KDE4_KDECORE_LIBS}
   ${KDE4_KDEUI_LIBS}
   ${KDE4_KIO_LIBS} )

set_target_properties( smb4kcore PROPERTIES VERSION 3.1.0 SOVERSION 3 )
install( TARGETS smb4kcore DESTINATION ${LIB_INSTALL_DIR} )


########### install files ###############

install( FILES smb4k.kcfg DESTINATION ${KCFG_INSTALL_DIR} )
install( FILES
  smb4kauthinfo.h
  smb4kbookmark.h
  smb4kbookmarkhandler.h
  smb4kcore.h
  smb4kcoremessage.h
  smb4kdefs.h
  smb4kglobal.h
  smb4khomesshareshandler.h
  smb4khost.h
  smb4kipaddressscanner.h
  smb4kmounter.h
  smb4kpreviewer.h
  smb4kpreviewitem.h
  smb4kprint.h
  smb4kprintinfo.h
  smb4ksambaoptionshandler.h
  smb4ksambaoptionsinfo.h
  smb4kscanner.h
  smb4ksearch.h
  smb4kshare.h
  smb4ksudowriterinterface.h
  smb4ksynchronizationinfo.h
  smb4ksynchronizer.h
  smb4kwalletmanager.h
  smb4kworkgroup.h
  DESTINATION ${INCLUDE_INSTALL_DIR} )

=== po/da/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES( da ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/es/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES( es ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/fr/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES( fr ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/ja/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES( ja ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/nl/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES( nl ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/pl/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES( pl ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/zh_CN/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES( zh_CN ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== smb4k/browser/CMakeLists.txt ===

include_directories( ${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES}  )


########### next target ###############

set(smb4knetworkbrowser_PART_SRCS
  smb4knetworkbrowser_part.cpp
  smb4knetworkbrowser.cpp
  smb4knetworkbrowseritem.cpp
  smb4knetworkbrowsertooltip.cpp )

kde4_add_plugin(smb4knetworkbrowser WITH_PREFIX ${smb4knetworkbrowser_PART_SRCS})

target_link_libraries(smb4knetworkbrowser  ${KDE4_KDECORE_LIBS} smb4kcore smb4kdialogs ${KDE4_KPARTS_LIBS} )

install(TARGETS smb4knetworkbrowser DESTINATION ${PLUGIN_INSTALL_DIR} )


########### install files ###############

install( FILES  smb4knetworkbrowser_part.rc
         DESTINATION ${DATA_INSTALL_DIR}/smb4k )

=== smb4k/dialogs/CMakeLists.txt ===
include_directories(
   ${KDE4_INCLUDES}
   ${KDE4_INCLUDE_DIR}
   ${QT_INCLUDES}
   ${CMAKE_CURRENT_SOURCE_DIR}/core/
   ${CMAKE_CURRENT_BINARY_DIR}/core/ )

########### next target ###############

set( smb4kdialogs_LIB_SRCS
  smb4kbookmarkeditor.cpp
  smb4kcustomoptionsdialog.cpp
  smb4kmountdialog.cpp
  smb4kpreviewdialog.cpp
  smb4kprintdialog.cpp
  smb4ksynchronizationdialog.cpp )

kde4_add_library( smb4kdialogs SHARED ${smb4kdialogs_LIB_SRCS} )

target_link_libraries( smb4kdialogs
  ${KDE4_KDECORE_LIBS}
  smb4kcore
  ${KDE4_KDEUI_LIBS}
  ${KDE4_KIO_LIBS} )

install(TARGETS smb4kdialogs DESTINATION ${LIB_INSTALL_DIR} )


########### install files ###############

## smb4k 0.10.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 project( smb4k )
 
-set( VERSION 0.10.2 )
+set( VERSION 0.10.4 )
 set( VERSION_MAJOR 0 )
 set( VERSION_MINOR 10 )
-set( VERSION_PATCH 2 )
+set( VERSION_PATCH 4 )
 
 cmake_minimum_required( VERSION 2.6 )

=== core/CMakeLists.txt ===
--- 
+++ 
@@ -44,7 +44,7 @@
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KIO_LIBS} )
 
-set_target_properties( smb4kcore PROPERTIES VERSION 3.1.0 SOVERSION 3 )
+set_target_properties( smb4kcore PROPERTIES VERSION 3.2.0 SOVERSION 3 )
 install( TARGETS smb4kcore DESTINATION ${LIB_INSTALL_DIR} )

=== po/CMakeLists.txt ===
add_subdirectory( bg )
add_subdirectory( cs )
add_subdirectory( da )
add_subdirectory( de )
add_subdirectory( es )
add_subdirectory( fr )
add_subdirectory( hu )
add_subdirectory( is )
add_subdirectory( it )
add_subdirectory( ja )
add_subdirectory( nb )
add_subdirectory( nl )
add_subdirectory( pl )
add_subdirectory( pt_BR )
add_subdirectory( ru )
add_subdirectory( sk )
add_subdirectory( sv )
add_subdirectory( tr )
add_subdirectory( uk )
add_subdirectory( zh_CN )
add_subdirectory( zh_TW )

=== utilities/CMakeLists.txt ===

include_directories( ${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES}  )


########### next target ###############

set(smb4k_mount_SRCS smb4k_mount.cpp )

kde4_add_executable(smb4k_mount ${smb4k_mount_SRCS})

target_link_libraries(smb4k_mount  ${KDE4_KDECORE_LIBS} )

install(TARGETS smb4k_mount DESTINATION ${BIN_INSTALL_DIR})


########### next target ###############

set(smb4k_umount_SRCS smb4k_umount.cpp )

kde4_add_executable(smb4k_umount ${smb4k_umount_SRCS})

target_link_libraries(smb4k_umount  ${KDE4_KDECORE_LIBS} )

install(TARGETS smb4k_umount DESTINATION ${BIN_INSTALL_DIR})


########### next target ###############

set(smb4k_kill_SRCS smb4k_kill.cpp )

kde4_add_executable(smb4k_kill ${smb4k_kill_SRCS})

target_link_libraries(smb4k_kill  ${KDE4_KDECORE_LIBS} )

install(TARGETS smb4k_kill DESTINATION ${BIN_INSTALL_DIR})


########### next target ###############

set(smb4k_sudowriter_SRCS smb4k_sudowriter.cpp )

kde4_add_executable(smb4k_sudowriter ${smb4k_sudowriter_SRCS})

target_link_libraries(smb4k_sudowriter  ${KDE4_KDECORE_LIBS} ${KDE4_KDEUI_LIBS} )

install(TARGETS smb4k_sudowriter DESTINATION ${BIN_INSTALL_DIR})


########### install files ###############

=== po/bg/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES( bg ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/cs/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES( cs ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/de/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES( de ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/hu/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES( hu ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/is/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES( is ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/ru/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES( ru ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== smb4k/searchdlg/CMakeLists.txt ===

include_directories( ${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES}  )


########### next target ###############

set(smb4ksearchdialog_PART_SRCS smb4ksearchdialog.cpp smb4ksearchdialog_part.cpp smb4ksearchdialogitem.cpp )

kde4_add_plugin(smb4ksearchdialog WITH_PREFIX ${smb4ksearchdialog_PART_SRCS})

target_link_libraries(smb4ksearchdialog  ${KDE4_KDECORE_LIBS} smb4kcore ${KDE4_KPARTS_LIBS} )

install(TARGETS smb4ksearchdialog DESTINATION ${PLUGIN_INSTALL_DIR} )


########### install files ###############

install( FILES  smb4ksearchdialog_part.rc
         DESTINATION ${DATA_INSTALL_DIR}/smb4k )

## smb4k 0.10.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 project( smb4k )
 
-set( VERSION 0.10.4 )
+set( VERSION 0.10.7 )
 set( VERSION_MAJOR 0 )
 set( VERSION_MINOR 10 )
-set( VERSION_PATCH 4 )
+set( VERSION_PATCH 7 )
 
 cmake_minimum_required( VERSION 2.6 )
 
@@ -70,6 +70,7 @@
      "^${PROJECT_SOURCE_DIR}.*/CVS/"
      "^${PROJECT_SOURCE_DIR}/Messages.sh"
      "^${PROJECT_SOURCE_DIR}/po/scripts/"
-     "^${PROJECT_SOURCE_DIR}.*kdevelop*" )
+     "^${PROJECT_SOURCE_DIR}/*.kdev4" 
+     "^${PROJECT_SOURCE_DIR}/build/" )
 
 include( CPack )

=== core/CMakeLists.txt ===
--- 
+++ 
@@ -51,30 +51,30 @@
 ########### install files ###############
 
 install( FILES smb4k.kcfg DESTINATION ${KCFG_INSTALL_DIR} )
-install( FILES
-  smb4kauthinfo.h
-  smb4kbookmark.h
-  smb4kbookmarkhandler.h
-  smb4kcore.h
-  smb4kcoremessage.h
-  smb4kdefs.h
-  smb4kglobal.h
-  smb4khomesshareshandler.h
-  smb4khost.h
-  smb4kipaddressscanner.h
-  smb4kmounter.h
-  smb4kpreviewer.h
-  smb4kpreviewitem.h
-  smb4kprint.h
-  smb4kprintinfo.h
-  smb4ksambaoptionshandler.h
-  smb4ksambaoptionsinfo.h
-  smb4kscanner.h
-  smb4ksearch.h
-  smb4kshare.h
-  smb4ksudowriterinterface.h
-  smb4ksynchronizationinfo.h
-  smb4ksynchronizer.h
-  smb4kwalletmanager.h
-  smb4kworkgroup.h
-  DESTINATION ${INCLUDE_INSTALL_DIR} )
+#install( FILES
+#  smb4kauthinfo.h
+#  smb4kbookmark.h
+#  smb4kbookmarkhandler.h
+#  smb4kcore.h
+#  smb4kcoremessage.h
+#  smb4kdefs.h
+#  smb4kglobal.h
+#  smb4khomesshareshandler.h
+#  smb4khost.h
+#  smb4kipaddressscanner.h
+#  smb4kmounter.h
+#  smb4kpreviewer.h
+#  smb4kpreviewitem.h
+#  smb4kprint.h
+#  smb4kprintinfo.h
+#  smb4ksambaoptionshandler.h
+#  smb4ksambaoptionsinfo.h
+#  smb4kscanner.h
+#  smb4ksearch.h
+#  smb4kshare.h
+#  smb4ksudowriterinterface.h
+#  smb4ksynchronizationinfo.h
+#  smb4ksynchronizer.h
+#  smb4kwalletmanager.h
+#  smb4kworkgroup.h
+#  DESTINATION ${INCLUDE_INSTALL_DIR} )

=== data/CMakeLists.txt ===
install( FILES smb4ksettings.upd
  DESTINATION ${KCONF_UPDATE_INSTALL_DIR} )
install( PROGRAMS
  authentication1.sh
  network1.sh
  userinterface1.sh
  samba1.sh
  network2.sh
  DESTINATION ${KCONF_UPDATE_INSTALL_DIR} )

=== plugin/CMakeLists.txt ===

include_directories( ${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES}  )


########### next target ###############

set(konqsidebar_smb4k_PART_SRCS smb4k_konqplugin.cpp )

kde4_add_plugin(konqsidebar_smb4k ${konqsidebar_smb4k_PART_SRCS})

target_link_libraries(konqsidebar_smb4k  ${KDE4_KDECORE_LIBS} konqsidebarplugin smb4kcore ${KDE4_KPARTS_LIBS} )

install(TARGETS konqsidebar_smb4k DESTINATION ${PLUGIN_INSTALL_DIR} )


########### install files ###############

install( FILES  smb4k_add.desktop DESTINATION ${DATA_INSTALL_DIR}/konqsidebartng/add )
install( FILES  smb4k_konqplugin.h DESTINATION ${INCLUDE_INSTALL_DIR} )



#original Makefile.am contents follow:

#INCLUDES = $(all_includes) 
#METASOURCES = AUTO
#kde_module_LTLIBRARIES = konqsidebar_smb4k.la
#konqsidebar_smb4k_la_SOURCES = smb4k_konqplugin.cpp
#konqsidebar_smb4k_la_LDFLAGS = -module $(all_libraries) \
#	-L$(top_builddir)/smb4k/core -L$(topbuild_dir)/smb4k/widgets -lkonqsidebarplugin
#konqsidebar_smb4k_la_LIBADD = $(top_builddir)/smb4k/core/libsmb4kcore.la \
#	$(KDE_PLUGIN) $(LIB_KFILE) $(LIB_KPARTS)
#include_HEADERS = smb4k_konqplugin.h
#
#globaladddir   = $(kde_datadir)/konqsidebartng/add
#globaladd_DATA = smb4k_add.desktop

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,7 @@
 add_subdirectory( nb )
 add_subdirectory( nl )
 add_subdirectory( pl )
+add_subdirectory( pt )
 add_subdirectory( pt_BR )
 add_subdirectory( ru )
 add_subdirectory( sk )

=== smb4k/CMakeLists.txt ===

include_directories(
  ${KDE4_INCLUDES}
  ${KDE4_INCLUDE_DIR}
  ${QT_INCLUDES}
  ${CMAKE_SOURCE_DIR}/core
  ${CMAKE_BINARY_DIR}/core )

add_subdirectory( icons )
add_subdirectory( configdlg )
add_subdirectory( dialogs )
add_subdirectory( browser )
#add_subdirectory( iconview )
#add_subdirectory( listview )
add_subdirectory( sharesview )
add_subdirectory( searchdlg )


########### next target ###############

set(smb4k_SRCS main.cpp smb4kmainwindow.cpp smb4ksystemtray.cpp )

kde4_add_executable(smb4k ${smb4k_SRCS})

target_link_libraries(smb4k
  ${KDE4_KDECORE_LIBS}
  smb4kcore
  smb4kdialogs
  ${KDE4_KDEUI_LIBS}
  ${KDE4_KPARTS_LIBS} )

install(TARGETS smb4k DESTINATION ${BIN_INSTALL_DIR})


########### install files ###############

install( FILES  smb4k.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
install( FILES  smb4k_shell.rc DESTINATION ${DATA_INSTALL_DIR}/smb4k )

kde4_install_icons( ${ICON_INSTALL_DIR} )

=== doc/en/CMakeLists.txt ===
add_subdirectory( smb4k )

=== po/sk/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES( sk ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== smb4k/configdlg/CMakeLists.txt ===

include_directories( ${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES}  )


########### next target ###############

set(smb4kconfigdialog_LIB_SRCS
   smb4kauthoptions.cpp
   smb4kconfigdialog.cpp
   smb4knetworkoptions.cpp
   smb4krsyncoptions.cpp
   smb4ksambaoptions.cpp
   smb4kshareoptions.cpp
   smb4ksuperuseroptions.cpp
   smb4kuserinterfaceoptions.cpp )

kde4_add_plugin(smb4kconfigdialog WITH_PREFIX ${smb4kconfigdialog_LIB_SRCS})

target_link_libraries( smb4kconfigdialog
  ${KDE4_KDECORE_LIBS} 
  smb4kcore 
  ${KDE4_KDEUI_LIBS}
  ${KDE4_KIO_LIBS} )

# set_target_properties(smb4kconfigdialog PROPERTIES VERSION 2.0.0 SOVERSION 2 )
install(TARGETS smb4kconfigdialog DESTINATION ${PLUGIN_INSTALL_DIR} )


########### install files ###############

=== smb4k/sharesview/CMakeLists.txt ===

include_directories( ${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES}  )


########### next target ###############

set(smb4ksharesview_PART_SRCS
   smb4kshareslistview.cpp
   smb4ksharesiconview.cpp
   smb4ksharesview_part.cpp
   smb4kshareslistviewitem.cpp
   smb4ksharesiconviewitem.cpp
   smb4ksharesviewtooltip.cpp
   smb4ksharesviewitemdata.cpp )

kde4_add_plugin( smb4ksharesview WITH_PREFIX ${smb4ksharesview_PART_SRCS})

target_link_libraries( smb4ksharesview  ${KDE4_KDECORE_LIBS} smb4kdialogs smb4kcore ${KDE4_KPARTS_LIBS} )

install(TARGETS smb4ksharesview DESTINATION ${PLUGIN_INSTALL_DIR} )


########### install files ###############

install( FILES  smb4ksharesview_part.rc
         DESTINATION ${DATA_INSTALL_DIR}/smb4k )

=== doc/en/smb4k/CMakeLists.txt ===
kde4_create_handbook(index.docbook 
  INSTALL_DESTINATION 
  ${HTML_INSTALL_DIR}/en)

=== debian/changelog ===
smb4k (0.10.7-1) unstable; urgency=low

  * New upstream release:
    - cannot mount as non-root anymore (Closes: #572846)
    - do not startup due to missing umount.cifs (Closes: #574269)
  * Add versioned dependencies.
  * Drop portugese translation patch - merged upstream.

 -- Fathi Boudra <fabo@debian.org>  Wed, 07 Apr 2010 12:30:23 +0200

smb4k (0.10.5-1) unstable; urgency=low

  * New upstream release.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Add Portuguese translation. (Closes: #569838)
    Thanks to Américo Monteiro.
  * Update debian/control:
    - Bump build dependencies versions
      (debhelper, pkg-kde-tools and kdelibs5-dev).
    - Bump Standards-Version to 3.8.4 (no changes needed).
    - Remove super dependency. (Closes: #555215)
  * Update debian/rules:
    - Enable parallel build (pass --parallel option to dh).
    - Remove override_dh_compress target - not needed anymore.

 -- Fathi Boudra <fabo@debian.org>  Sat, 06 Mar 2010 09:33:27 +0100

smb4k (0.10.4-1) unstable; urgency=low

  * New upstream release.
  * Update debian/control:
    - Bump Standards-Version to 3.8.3 (no changes needed).
    - Add Vcs-Svn and Vcs-Browser fields.
    - Replace samba-common by samba-common-bin dependency to provide nmblookup.
      (Closes: #541264)
  * Update debian/rules: cleanup include as dh support kde.

 -- Fathi Boudra <fabo@debian.org>  Sat, 03 Oct 2009 10:34:19 +0200

smb4k (0.10.2-4) unstable; urgency=low

  * Update debian/control:
    - Set Debian KDE Extras team as Maintainer and myself in Uploaders field.
      Thanks to Francesco Paolo Lovergine for his work.
    - Cleanup build dependencies.
    - Bump Standards-Version to 3.8.2 (no changes needed).
  * Rewrite debian/rules: use dh.

 -- Fathi Boudra <fabo@debian.org>  Thu, 06 Aug 2009 18:06:45 +0200

smb4k (0.10.2-3) unstable; urgency=high

  * Removed superfluous build-dep on kde4-development.
    (closes: #525651)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 27 Apr 2009 11:12:17 +0200

smb4k (0.10.2-2) unstable; urgency=low

  * Upload to unstable after KDE4 core availability.
  * Policy bumped to 3.8.1, without changes.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 07 Apr 2009 14:09:38 +0200

smb4k (0.10.2-1) experimental; urgency=low

  * New upstream release.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 19 Mar 2009 16:50:29 +0100

smb4k (0.10.1-1) experimental; urgency=low

  * New upstream release, supporting KDE4.
    (closes: #487299, #481934, #514100)
  * Added kwalletmanager suggest in debian/control.
  * Now supports dpatch for local patches. Build-dep on dpatch added.
  * Now build-deps on x11proto-core-dev instead of obsolete x-dev.
    (closes: #515519)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 18 Feb 2009 15:50:16 +0100

smb4k (0.9.4-1) unstable; urgency=low

  * New upstream release.
    (closes: #477419)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 29 Apr 2008 11:00:22 +0200

smb4k (0.9.2-1) unstable; urgency=low

  * New upstream release
  * Updated minimal build-deps to 3.3 as required upstream.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 28 Jan 2008 10:48:11 +0100

smb4k (0.9.1-1) unstable; urgency=low

  * New upstream release.
    (closes: #343950, #456077, #461370)
  * Policy bumped to 3.7.3 (no changes)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 18 Jan 2008 14:48:20 +0100

smb4k (0.8.6-1) unstable; urgency=low

  * New upstream release.
  * Introduced Homepage field in debian/control

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 22 Oct 2007 20:06:08 +0200

smb4k (0.8.4-2) unstable; urgency=low

  * debian/menu transitioned to new sections.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 17 Jul 2007 23:03:05 +0200

smb4k (0.8.4-1) unstable; urgency=low

  * New upstream release with minor fixes.
  * debian/copyright file updated.
    (closes: #432224)
  * debian/watch revised.
  * debian/control revised for description.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 10 Jul 2007 09:56:17 +0200

smb4k (0.8.3-1) unstable; urgency=low

  * New upstream release

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 18 Jun 2007 21:38:37 +0200

smb4k (0.8.1-1) unstable; urgency=high

  * New upstream release (fixes a few security issues)
    (closes: #417697)
  * Revised watch file.


 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 10 Apr 2007 11:40:40 +0200

smb4k (0.8.0-1) unstable; urgency=low

  * New upstream release

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 22 Dec 2006 12:27:05 +0100

smb4k (0.7.5-1) unstable; urgency=high

  * New upstream release
    This version fixes a grave security bug present in all 0.7 versions with
    sudoers file management.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 27 Nov 2006 12:57:57 +0100

smb4k (0.7.3-1) unstable; urgency=low

  * New upstream release

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 25 Oct 2006 23:30:11 +0200

smb4k (0.7.2-1) unstable; urgency=low

  * New upstream version.
  * Moved debian/watch to version 3 syntax.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu,  3 Aug 2006 14:55:25 +0200

smb4k (0.7.1-1) unstable; urgency=low

  * New upstream release
    This version works only with Samba 3.0+
  * Policy bumped to 3.7.2 without changes.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sun, 25 Jun 2006 10:55:40 +0200

smb4k (0.6.9-1) unstable; urgency=low

  * New upstream release

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 24 Mar 2006 17:01:31 +0100

smb4k (0.6.8-1) unstable; urgency=low

  * New upstream release

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 17 Mar 2006 22:55:33 +0100

smb4k (0.6.7-1) unstable; urgency=low

  * New upstream release
  * Removed superfluous libfam-dev build-dep.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sun,  5 Feb 2006 23:19:33 +0100

smb4k (0.6.5-1) unstable; urgency=low



=== debian/control ===
Source: smb4k
Section: utils
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>
Build-Depends: debhelper (>= 7.4.15), cmake (>= 2.8.0), pkg-kde-tools (>= 0.6.4),
 kdelibs5-dev (>= 4:4.3.4)
Standards-Version: 3.8.4
Homepage: http://smb4k.berlios.de/
Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/smb4k/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/smb4k/trunk/

Package: smb4k
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 samba-common-bin (>= 2:3.4.7~dfsg), smbclient (>= 2:3.4.7~dfsg),
 smbfs (>= 2:4.1)
Recommends: sudo
Suggests: kwalletmanager
Description: A Samba (SMB) share advanced browser for KDE
 Smb4K is a SMB (Windows) share browser for KDE. It uses the Samba software
 suite to access the SMB shares of the local network neighborhood. Its purpose
 is to provide a program that's easy to use and has as many features as
 possible.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with kde

.PHONY: override_dh_auto_test

=== debian/watch ===
version=3
opts=downloadurlmangle=s/prdownload/download/ \
  http://developer.berlios.de/project/showfiles.php?group_id=769 \
  http://prdownload.berlios.de/smb4k/smb4k-([\d\.]+)\.tar\.bz2

## smb4k 0.10.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 project( smb4k )
 
-set( VERSION 0.10.7 )
+set( VERSION 0.10.9 )
 set( VERSION_MAJOR 0 )
 set( VERSION_MINOR 10 )
-set( VERSION_PATCH 7 )
+set( VERSION_PATCH 9 )
 
 cmake_minimum_required( VERSION 2.6 )

=== debian/changelog ===
smb4k (0.10.9-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Wed, 06 Oct 2010 16:37:12 +0300

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Fathi Boudra <fabo@debian.org>
 Build-Depends: debhelper (>= 7.4.15), cmake (>= 2.8.0), pkg-kde-tools (>= 0.6.4),
  kdelibs5-dev (>= 4:4.3.4)
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://smb4k.berlios.de/
 Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/smb4k/trunk/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/smb4k/trunk/

## smb4k 0.10.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 project( smb4k )
 
-set( VERSION 0.10.9 )
+set( VERSION 0.10.10 )
 set( VERSION_MAJOR 0 )
 set( VERSION_MINOR 10 )
-set( VERSION_PATCH 9 )
+set( VERSION_PATCH 10 )
 
 cmake_minimum_required( VERSION 2.6 )

=== debian/changelog ===
smb4k (0.10.10-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Mon, 02 May 2011 08:52:02 +0300

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Fathi Boudra <fabo@debian.org>
 Build-Depends: debhelper (>= 7.4.15), cmake (>= 2.8.0), pkg-kde-tools (>= 0.6.4),
  kdelibs5-dev (>= 4:4.3.4)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://smb4k.berlios.de/
 Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/smb4k/trunk/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/smb4k/trunk/
@@ -17,7 +17,7 @@
  smbfs (>= 2:4.1)
 Recommends: sudo
 Suggests: kwalletmanager
-Description: A Samba (SMB) share advanced browser for KDE
+Description: Samba (SMB) share advanced browser for KDE
  Smb4K is a SMB (Windows) share browser for KDE. It uses the Samba software
  suite to access the SMB shares of the local network neighborhood. Its purpose
  is to provide a program that's easy to use and has as many features as

## smb4k 1.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,17 @@
 project( smb4k )
 
-set( VERSION 0.10.10 )
-set( VERSION_MAJOR 0 )
-set( VERSION_MINOR 10 )
-set( VERSION_PATCH 10 )
+set( VERSION 1.0.1 )
+set( VERSION_MAJOR 1 )
+set( VERSION_MINOR 0 )
+set( VERSION_PATCH 1 )
 
 cmake_minimum_required( VERSION 2.6 )
 
-find_package(KDE4 REQUIRED)
+set( QT_MIN_VERSION 4.7.0 )
+set( KDE_MIN_VERSION 4.4.0 ) 
+find_package( KDE4 REQUIRED )
+find_package( Msgfmt REQUIRED )
+find_package( Gettext REQUIRED )
 
 include(KDE4Defaults)
 include(MacroLibrary)
@@ -31,26 +35,33 @@
                 ${CMAKE_CURRENT_BINARY_DIR}/config.h )
 
 add_subdirectory( core )
+add_subdirectory( helpers )
 add_subdirectory( smb4k )
-add_subdirectory( utilities )
+add_subdirectory( data )
 add_subdirectory( po )
+add_subdirectory( doc-translations )
 add_subdirectory( doc )
-add_subdirectory( data )
 
-########### Konqueror plugin ############
+########### Header files ################
 
-# The decision what to do with the Konqueror plugin has been
-# postponed. It has not been ported to KDE 4 yet, so it is
-# disabled here.
+option( INSTALL_HEADER_FILES "Install header files" OFF )
 
-# option( COMPILE_KONQPLUGIN "Compile Smb4K with Konqueror plugin" OFF )
+if ( INSTALL_HEADER_FILES )
+  message( STATUS "Installing Smb4K's core header files (-DINSTALL_HEADER_FILES=false to disable)" )
+elseif ( NOT INSTALL_HEADER_FILES )
+  message( STATUS "Not installing Smb4K's core header files (-DINSTALL_HEADER_FILES=true to enable)" )
+endif( INSTALL_HEADER_FILES )
+
+########### KIO slave ###################
+
+#option( COMPILE_KIOSLAVE "Compile Smb4K with KIO slave" OFF )
 #
-# if( COMPILE_KONQPLUGIN )
-#   message( STATUS "Building Konqueror plugin (-DCOMPILE_KONQPLUGIN=false to disable)" )
-#   add_subdirectory( plugin )
-# elseif( NOT COMPILE_KONQPLUGIN )
-#   message( STATUS "Building without Konqueror plugin (-DCOMPILE_KONQPLUGIN=true to enable)" )
-# endif( COMPILE_KONQPLUGIN )
+#if ( COMPILE_KIOSLAVE )
+#  message( STATUS "Building with KIO slave (-DCOMPILE_KIOSLAVE=false to disable)" )
+#  add_subdirectory( kioslave )
+#elseif( NOT COMPILE_KIOSLAVE )
+#  message( STATUS "Building without KIO slave (-DCOMPILE_KIOSLAVE=true to enable)" )
+#endif( COMPILE_KIOSLAVE )
 
 ########### install files ###############
 
@@ -67,10 +78,10 @@
 set( CPACK_SOURCE_GENERATOR TBZ2 )
 set( CPACK_SOURCE_IGNORE_FILES
      "~$"
-     "^${PROJECT_SOURCE_DIR}.*/CVS/"
      "^${PROJECT_SOURCE_DIR}/Messages.sh"
      "^${PROJECT_SOURCE_DIR}/po/scripts/"
      "^${PROJECT_SOURCE_DIR}/*.kdev4" 
+     "^${PROJECT_SOURCE_DIR}.*/.svn/" 
      "^${PROJECT_SOURCE_DIR}/build/" )
 
 include( CPack )

=== core/CMakeLists.txt ===

include_directories(
  ${KDE4_INCLUDES}
  ${KDE4_INCLUDE_DIR}
  ${QT_INCLUDES} )


########### next target ###############

set( smb4kcore_LIB_SRCS
  smb4kauthinfo.cpp
  smb4kbasicnetworkitem.cpp
  smb4kbookmark.cpp
  smb4kbookmarkhandler.cpp
  smb4kbookmarkhandler_p.cpp
  smb4kcore.cpp
  smb4kcustomoptions.cpp
  smb4kcustomoptionsmanager.cpp
  smb4kcustomoptionsmanager_p.cpp
  smb4kglobal.cpp
  smb4kglobal_p.cpp
  smb4khomesshareshandler.cpp
  smb4khomesshareshandler_p.cpp
  smb4khost.cpp
  smb4kipaddressscanner.cpp
  smb4kipaddressscanner_p.cpp
  smb4kmounter.cpp
  smb4kmounter_p.cpp
  smb4knotification.cpp
  smb4kpreviewer.cpp
  smb4kpreviewer_p.cpp
  smb4kprint.cpp
  smb4kprint_p.cpp
  smb4kprocess.cpp
  smb4kscanner.cpp
  smb4kscanner_p.cpp
  smb4ksearch.cpp
  smb4ksearch_p.cpp
  smb4kshare.cpp
  smb4ksolidinterface.cpp
  smb4ksynchronizer.cpp
  smb4ksynchronizer_p.cpp
  smb4kwalletmanager.cpp
  smb4kworkgroup.cpp )

kde4_add_kcfg_files( smb4kcore_LIB_SRCS smb4ksettings.kcfgc )

kde4_add_library( smb4kcore SHARED ${smb4kcore_LIB_SRCS} )

target_link_libraries( smb4kcore
  ${QT_QTCORE_LIBRARY}
  ${QT_QTGUI_LIBRARY}
  ${KDE4_KDECORE_LIBS}
  ${KDE4_KDEUI_LIBS}
  ${KDE4_KIO_LIBS}
  ${KDE4_SOLID_LIBS} )

set_target_properties( smb4kcore PROPERTIES VERSION 4.0.0 SOVERSION 4 )
install( TARGETS smb4kcore DESTINATION ${LIB_INSTALL_DIR} )


########### install files ###############

install( FILES smb4k.kcfg DESTINATION ${KCFG_INSTALL_DIR} )
install( FILES smb4k.notifyrc  DESTINATION ${DATA_INSTALL_DIR}/smb4k )

if ( INSTALL_HEADER_FILES )
  install( FILES
    smb4kauthinfo.h
    smb4kbasicnetworkitem.h
    smb4kbookmark.h
    smb4kbookmarkhandler.h
    smb4kcore.h
    smb4kcustomoptions.h
    smb4kcustomoptionsmanager.h
    smb4kglobal.h
    smb4khomesshareshandler.h
    smb4khost.h
    smb4kipaddressscanner.h
    smb4kmounter.h
    smb4knotification.h
    smb4kpreviewer.h
    smb4kprint.h
    smb4kprocess.h
    smb4kscanner.h
    smb4ksearch.h
    smb4kshare.h
    smb4ksolidinterface.h
    smb4ksynchronizer.h
    smb4kwalletmanager.h
    smb4kworkgroup.h
    DESTINATION ${INCLUDE_INSTALL_DIR} )
endif ( INSTALL_HEADER_FILES )

=== debian/changelog ===
smb4k (1.0.1-1) unstable; urgency=low

  * New upstream release.
  * Update debian/compat: bump to 9.
  * Update debian/control:
    - bump debhelper to 9.
    - bump kdelibs5-dev build dependency to 4:4.4.0.
    - bump Standards-Version to 3.9.3 (no changes needed).
    - Replace smbfs dependency by cifs-utils. (Closes: #638162)
  * Update debian/copyright:
    - update upstream URL.
    - update upstream e-mail.
  * Update debian/smb4k.lintian-overrides file.
  * Update debian/watch file.

 -- Fathi Boudra <fabo@debian.org>  Sat, 19 May 2012 18:54:34 +0300

smb4k (0.10.10-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix installability on kfreebsd-*.  (Closes: #650136)

 -- Robert Millan <rmh@debian.org>  Fri, 02 Dec 2011 19:32:41 +0000

=== debian/control ===
Source: smb4k
Section: utils
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>
Build-Depends: cmake (>= 2.8.0),
               debhelper (>= 9),
               kdelibs5-dev (>= 4:4.4.0),
               pkg-kde-tools (>= 0.6.4)
Standards-Version: 3.9.3
Homepage: http://smb4k.sourceforge.net/
Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/smb4k/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/smb4k/trunk/

Package: smb4k
Architecture: kfreebsd-any linux-any
Depends: cifs-utils (>= 2:4.1) [linux-any] | freebsd-smbfs [kfreebsd-any],
         samba-common-bin (>= 2:3.4.7~dfsg),
         smbclient (>= 2:3.4.7~dfsg),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: sudo
Suggests: kwalletmanager
Description: Samba (SMB) share advanced browser for KDE
 Smb4K is an advanced network neighborhood browser for KDE. It uses the Samba
 software suite to access the shares of the local network neighborhood.
 Its purpose is to provide a program that's easy to use and has as many
 features as possible.

=== debian/watch ===
version=3
http://sf.net/smb4k/smb4k-(.+)\.(?:tar\.bz2)

## smb4k 1.0.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,17 +1,17 @@
 project( smb4k )
 
-set( VERSION 1.0.1 )
+set( VERSION 1.0.7 )
 set( VERSION_MAJOR 1 )
 set( VERSION_MINOR 0 )
-set( VERSION_PATCH 1 )
+set( VERSION_PATCH 7 )
 
 cmake_minimum_required( VERSION 2.6 )
 
 set( QT_MIN_VERSION 4.7.0 )
 set( KDE_MIN_VERSION 4.4.0 ) 
 find_package( KDE4 REQUIRED )
-find_package( Msgfmt REQUIRED )
-find_package( Gettext REQUIRED )
+find_package(Msgfmt REQUIRED)
+find_package(Gettext REQUIRED)
 
 include(KDE4Defaults)
 include(MacroLibrary)

=== debian/changelog ===
smb4k (1.0.7-1ubuntu1) saucy; urgency=low

  * No-change rebuild for Ubuntu.

 -- Logan Rosen <logan@ubuntu.com>  Thu, 16 May 2013 16:06:18 -0400

smb4k (1.0.7-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Mon, 13 May 2013 20:37:22 +1000

smb4k (1.0.6-1) unstable; urgency=low

  * New upstream Release
  * Add myself to Uploaders:

 -- Mark Purcell <msp@debian.org>  Sun, 12 May 2013 18:32:20 +1000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: smb4k
 Section: utils
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
-Uploaders: Fathi Boudra <fabo@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Uploaders: Mark Purcell <msp@debian.org>, Fathi Boudra <fabo@debian.org>
 Build-Depends: cmake (>= 2.8.0),
                debhelper (>= 9),
                kdelibs5-dev (>= 4:4.4.0),

## smb4k 1.0.8

=== debian/changelog ===
smb4k (1.0.8-1) unstable; urgency=low

  * New upstream release
    - Fixes "qreal VS double issues" (Closes: #675892)
  * Update +Section: kde - fixes override disparities
  * Update Standards Version 3.9.4

 -- Mark Purcell <msp@debian.org>  Sun, 27 Oct 2013 16:33:05 +1100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: smb4k
-Section: utils
+Section: kde
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Mark Purcell <msp@debian.org>, Fathi Boudra <fabo@debian.org>
 Build-Depends: cmake (>= 2.8.0),
                debhelper (>= 9),
                kdelibs5-dev (>= 4:4.4.0),
                pkg-kde-tools (>= 0.6.4)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://smb4k.sourceforge.net/
-Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/smb4k/trunk/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/smb4k/trunk/
+Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/smb4k/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-kde/kde-extras/smb4k/trunk/
 
 Package: smb4k
 Architecture: kfreebsd-any linux-any

## smb4k 1.0.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 project( smb4k )
 
-set( VERSION 1.0.7 )
+set( VERSION 1.0.9 )
 set( VERSION_MAJOR 1 )
 set( VERSION_MINOR 0 )
-set( VERSION_PATCH 7 )
+set( VERSION_PATCH 9 )
 
 cmake_minimum_required( VERSION 2.6 )

=== core/CMakeLists.txt ===
--- 
+++ 
@@ -50,12 +50,13 @@
 target_link_libraries( smb4kcore
   ${QT_QTCORE_LIBRARY}
   ${QT_QTGUI_LIBRARY}
+  ${QT_QTTEST_LIBRARY}
   ${KDE4_KDECORE_LIBS}
   ${KDE4_KDEUI_LIBS}
   ${KDE4_KIO_LIBS}
   ${KDE4_SOLID_LIBS} )
 
-set_target_properties( smb4kcore PROPERTIES VERSION 4.0.0 SOVERSION 4 )
+set_target_properties( smb4kcore PROPERTIES VERSION 4.0.1 SOVERSION 4 )
 install( TARGETS smb4kcore DESTINATION ${LIB_INSTALL_DIR} )

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -6,4 +6,6 @@
   userinterface1.sh
   samba1.sh
   network2.sh
+  samba2.sh
+  userinterface2.sh
   DESTINATION ${KCONF_UPDATE_INSTALL_DIR} )

=== doc-translations/CMakeLists.txt ===
add_subdirectory( fr_smb4k/smb4k )
add_subdirectory( pt_smb4k/smb4k )
add_subdirectory( pt_BR_smb4k/smb4k )
add_subdirectory( sv_smb4k/smb4k )
add_subdirectory( uk_smb4k/smb4k )

=== doc/CMakeLists.txt ===
kde4_create_handbook( index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR smb4k )

=== helpers/CMakeLists.txt ===
set( smb4kmounthelper_SRCS smb4kmounthelper.cpp )

kde4_add_executable( mounthelper ${smb4kmounthelper_SRCS} )
target_link_libraries( mounthelper ${KDE4_KDECORE_LIBS} ${KDE4_KIO_LIBS} )
install( TARGETS mounthelper DESTINATION ${LIBEXEC_INSTALL_DIR} )

kde4_install_auth_helper_files( mounthelper de.berlios.smb4k.mounthelper root )
kde4_install_auth_actions( de.berlios.smb4k.mounthelper smb4kmounthelper.actions )

=== kioslave/CMakeLists.txt ===
include_directories(
  ${KDE4_INCLUDES}
  ${KDE4_INCLUDE_DIR}
  ${QT_INCLUDES}
  ${CMAKE_SOURCE_DIR}/core
  ${CMAKE_BINARY_DIR}/core )

set( kio_smb4k_PART_SRCS kio_smb4k.cpp )

kde4_add_plugin( kio_smb4k ${kio_smb4k_PART_SRCS} )

target_link_libraries( kio_smb4k smb4kcore ${KDE4_KIO_LIBS} )

install( TARGETS kio_smb4k DESTINATION ${PLUGIN_INSTALL_DIR} )

########### install files ###############

install( FILES smb4k-network.desktop  DESTINATION  ${DATA_INSTALL_DIR}/konqueror/dirtree/remote )
install( FILES smb4k.protocol  DESTINATION  ${SERVICES_INSTALL_DIR} )
install( FILES smb4k-network.desktop  DESTINATION  ${DATA_INSTALL_DIR}/remoteview )

=== po/CMakeLists.txt ===
add_subdirectory( bg )
add_subdirectory( cs )
add_subdirectory( da )
add_subdirectory( de )
add_subdirectory( en_GB )
add_subdirectory( eo )
add_subdirectory( es )
add_subdirectory( et )
add_subdirectory( fr )
add_subdirectory( ga )
add_subdirectory( gl )
add_subdirectory( hu )
add_subdirectory( is )
add_subdirectory( it )
add_subdirectory( ja )
add_subdirectory( lt )
add_subdirectory( mai )
add_subdirectory( nb )
add_subdirectory( nds )
add_subdirectory( nl )
add_subdirectory( pl )
add_subdirectory( pt )
add_subdirectory( pt_BR )
add_subdirectory( ru )
add_subdirectory( sk )
add_subdirectory( sv )
add_subdirectory( tr )
add_subdirectory( ug )
add_subdirectory( uk )
add_subdirectory( zh_CN )
add_subdirectory( zh_TW )

=== smb4k/CMakeLists.txt ===

include_directories(
  ${KDE4_INCLUDES}
  ${KDE4_INCLUDE_DIR}
  ${QT_INCLUDES}
  ${CMAKE_CURRENT_SOURCE_DIR}/../core
  ${CMAKE_CURRENT_BINARY_DIR}/../core )

add_subdirectory( icons )
add_subdirectory( configdlg )
add_subdirectory( tooltips )
add_subdirectory( browser )
add_subdirectory( sharesview )
add_subdirectory( search )


########### next target ###############

set( smb4k_SRCS
  main.cpp
  smb4kbookmarkmenu.cpp
  smb4ksharesmenu.cpp
  smb4kmainwindow.cpp
  smb4ksystemtray.cpp )

kde4_add_executable( smb4k ${smb4k_SRCS} )

target_link_libraries( smb4k
  ${KDE4_KDECORE_LIBS}
  smb4kcore
  ${KDE4_KDEUI_LIBS}
  ${KDE4_KPARTS_LIBS} )

install(TARGETS smb4k DESTINATION ${BIN_INSTALL_DIR})


########### install files ###############

install( FILES  smb4k.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
install( FILES  smb4k_shell.rc DESTINATION ${DATA_INSTALL_DIR}/smb4k )

kde4_install_icons( ${ICON_INSTALL_DIR} )

=== smb4k/browser/CMakeLists.txt ===

include_directories( 
  ${KDE4_INCLUDES} 
  ${KDE4_INCLUDE_DIR} 
  ${QT_INCLUDES} 
  ${CMAKE_CURRENT_SOURCE_DIR}/smb4k 
  ${CMAKE_CURRENT_BINARY_DIR}/smb4k )


########### next target ###############

set(smb4knetworkbrowser_PART_SRCS
  smb4knetworkbrowser_part.cpp
  smb4knetworkbrowser.cpp
  smb4knetworkbrowseritem.cpp
  )

kde4_add_plugin( smb4knetworkbrowser ${smb4knetworkbrowser_PART_SRCS} )

target_link_libraries( smb4knetworkbrowser  
  ${KDE4_KDECORE_LIBS} 
  smb4kcore 
  smb4ktooltips
  ${KDE4_KPARTS_LIBS} )

install(TARGETS smb4knetworkbrowser DESTINATION ${PLUGIN_INSTALL_DIR} )


########### install files ###############

install( FILES  smb4knetworkbrowser_part.rc
         DESTINATION ${DATA_INSTALL_DIR}/smb4k )

=== smb4k/configdlg/CMakeLists.txt ===

include_directories( ${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES}  )


########### next target ###############

set(smb4kconfigdialog_LIB_SRCS
   smb4kauthoptions.cpp
   smb4kconfigdialog.cpp
   smb4klaptopsupportoptions.cpp
   smb4knetworkoptions.cpp
   smb4krsyncoptions.cpp
   smb4ksambaoptions.cpp
   smb4kshareoptions.cpp
   smb4kuserinterfaceoptions.cpp )

kde4_add_plugin( smb4kconfigdialog ${smb4kconfigdialog_LIB_SRCS} )

target_link_libraries( smb4kconfigdialog
  ${KDE4_KDECORE_LIBS}
  smb4kcore
  ${KDE4_KDEUI_LIBS}
  ${KDE4_KIO_LIBS} )

install(TARGETS smb4kconfigdialog DESTINATION ${PLUGIN_INSTALL_DIR} )


########### install files ###############

=== smb4k/search/CMakeLists.txt ===
include_directories( 
  ${KDE4_INCLUDES} 
  ${KDE4_INCLUDE_DIR} 
  ${QT_INCLUDES} )

########### next target ###############

set( smb4knetworksearch_PART_SRCS 
  smb4knetworksearch.cpp 
  smb4knetworksearch_part.cpp 
  smb4knetworksearchitem.cpp )

kde4_add_plugin( smb4knetworksearch ${smb4knetworksearch_PART_SRCS} )

target_link_libraries( smb4knetworksearch 
  ${KDE4_KDECORE_LIBS} 
  smb4kcore 
  ${KDE4_KPARTS_LIBS} )

install( TARGETS smb4knetworksearch DESTINATION ${PLUGIN_INSTALL_DIR} )


########### install files ###############

install( FILES  smb4knetworksearch_part.rc DESTINATION ${DATA_INSTALL_DIR}/smb4k )

=== debian/changelog ===
smb4k (1.0.9-1) unstable; urgency=low

  * New upstream release
  * Updated Description:
  * Add bug-presubj to point out upstream support options

 -- Mark Purcell <msp@debian.org>  Sat, 09 Nov 2013 13:49:43 +1100

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,28 @@
 Recommends: sudo
 Suggests: kwalletmanager
 Description: Samba (SMB) share advanced browser for KDE
- Smb4K is an advanced network neighborhood browser for KDE. It uses the Samba
- software suite to access the shares of the local network neighborhood.
- Its purpose is to provide a program that's easy to use and has as many
- features as possible.
+ Smb4K is an advanced network neighborhood browser for the KDE Software
+ Compilation and a frontend to the programs of the Samba software suite.
+ .
+ Features:
+  Scanning for (active) workgroups, hosts, and shares
+  Support of the CIFS (Linux) and SMBFS (FreeBSD) file system
+  Mounting and unmounting of shares (using the KAuth framework)
+  Access to the files of a mounted share using a file manager or terminal
+  Auto-detection of external mounts and unmounts
+  Remounting of previously used shares on program start
+  Miscellaneous infos about remote network items and mounted shares
+  Network search
+  WINS server support
+  Preview of the contents of a share
+  Several methods to look up the initial list of workgroups and domains
+  Default login
+  Special handling of homes shares
+  Ability to bookmark favorite shares and organize them in groups
+  System tray widget
+  Support of advanced Samba options
+  Support of printer shares
+  KWallet support
+  Synchronization of a remote share with a local copy and vice versa
+  Ability to define custom options for individual servers and shares
+  Laptop support through the Solid hardware device framework

=== debian/watch ===
version=3
http://sf.net/smb4k/smb4k-(.+)\.(?:tar\.bz2) debian svn-upgrade
